PersistentKey
Keywords: uk.ac.ic.doc.automed.reps.PersistentKey class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.reps
Class PersistentKey

    java.lang.Object
      uk.ac.ic.doc.automed.reps.PersistentKey

    public class PersistentKey

extends java.lang.Object

Constructor Summary
`PersistentKey(int id, java.lang.Class objectClass)`
`PersistentKey(PersistentKey[] refs, java.lang.String localId, java.lang.Class objectClass)`
`PersistentKey(java.lang.String id, java.lang.Class objectClass)`

Method Summary
`static PersistentKey` | `createFromGlobalId(java.lang.String globalId)`
`static PersistentKey` | `createFromIdAndClass(java.lang.String keyId, java.lang.Class objectClass)`
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getGlobalId()`
`java.lang.String` | `getKeyId()`
`java.lang.String` | `getLocalId()`
`java.lang.Class` | `getObjectClass()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PersistentKey

    public PersistentKey(int id,
                         java.lang.Class objectClass)

Parameters:
  `id` -
  `objetClass` -

### PersistentKey

    public PersistentKey(java.lang.String id,
                         java.lang.Class objectClass)

Parameters:
  `id` -
  `object` -

### PersistentKey

    public PersistentKey(PersistentKey[] refs,
                         java.lang.String localId,
                         java.lang.Class objectClass)

Parameters:
  `foreign` -
  `id` -
  `objectClass` -

Method Detail

### createFromIdAndClass

    public static PersistentKey createFromIdAndClass(java.lang.String keyId,
                                                     java.lang.Class objectClass)
                                              throws AutoMedException

  Throws:
    `AutoMedException`

### createFromGlobalId

    public static PersistentKey createFromGlobalId(java.lang.String globalId)
                                            throws AutoMedException

  Throws:
    `AutoMedException`

### getKeyId

    public java.lang.String getKeyId()

### getObjectClass

    public java.lang.Class getObjectClass()

### getLocalId

    public java.lang.String getLocalId()

### getGlobalId

    public java.lang.String getGlobalId()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD